com.sun.mirror.type

## Enum PrimitiveType.Kind

- java.lang.Object
- - java.lang.Enum<PrimitiveType.Kind>
  - - com.sun.mirror.type.PrimitiveType.Kind

- All Implemented Interfaces:
    Serializable, Comparable<PrimitiveType.Kind>
  Enclosing interface:
    PrimitiveType

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this enum is `TypeKind`.

      @Deprecated
      public static enum PrimitiveType.Kind
      extends Enum<PrimitiveType.Kind>

  An enumeration of the different kinds of primitive types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN` Deprecated. The primitive type `boolean`
    `BYTE` Deprecated. The primitive type `byte`
    `CHAR` Deprecated. The primitive type `char`
    `DOUBLE` Deprecated. The primitive type `double`
    `FLOAT` Deprecated. The primitive type `float`
    `INT` Deprecated. The primitive type `int`
    `LONG` Deprecated. The primitive type `long`
    `SHORT` Deprecated. The primitive type `short`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PrimitiveType.Kind` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static PrimitiveType.Kind[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final PrimitiveType.Kind BOOLEAN

      Deprecated.
      The primitive type `boolean`

    - #### BYTE

          public static final PrimitiveType.Kind BYTE

      Deprecated.
      The primitive type `byte`

    - #### SHORT

          public static final PrimitiveType.Kind SHORT

      Deprecated.
      The primitive type `short`

    - #### INT

          public static final PrimitiveType.Kind INT

      Deprecated.
      The primitive type `int`

    - #### LONG

          public static final PrimitiveType.Kind LONG

      Deprecated.
      The primitive type `long`

    - #### CHAR

          public static final PrimitiveType.Kind CHAR

      Deprecated.
      The primitive type `char`

    - #### FLOAT

          public static final PrimitiveType.Kind FLOAT

      Deprecated.
      The primitive type `float`

    - #### DOUBLE

          public static final PrimitiveType.Kind DOUBLE

      Deprecated.
      The primitive type `double`

  - ### Method Detail

    - #### values

          public static PrimitiveType.Kind[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PrimitiveType.Kind c : PrimitiveType.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PrimitiveType.Kind valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004, 2015, Oracle and/or its affiliates. All rights reserved.